// класс Core

// конструктор
function Pages(id) {
	this.id_div = id;
}

// свойства класса
Pages.prototype.id_div = "";
Pages.prototype.active_page = "";

// методы в прототипе
Pages.prototype.show_page = function(page) {		
	$.ajax({ 
		url: "pages/" + page + ".php",
		type: 'GET',
		data: "sid=" + core.sid,
		success: function(data) {
			jQuery("#" + pages.id_div).html(data);
			if (page == "monitoring") {
				pages.correct_size_monitoring();
				pages.show_left_col_data("units");
				setTimeout(show_curr_time, 5000);
				map.show_map("div_map");
			}
		}
	}); 	
}

// методы в прототипе
Pages.prototype.correct_size_monitoring = function() {
	jQuery("#data_monitoring_table").height( $(window).height()-jQuery("#head_monitoring_table").height()-jQuery("#footer_monitoring_table").height() - 15);	
	jQuery("#tabs_menu").height( $(window).height()-jQuery("#head_monitoring_table").height()-jQuery("#footer_monitoring_table").height() - 15);	
	
	// maps size
	jQuery("#div_map").height( jQuery("#td_map").height());	
	jQuery("#div_map").width( jQuery("#td_map").width());	
	
	jQuery("#div_report_result").height( jQuery("#td_map").height());	
	jQuery("#div_report_result").width( jQuery("#td_map").width());	
	
}

// методы в прототипе
Pages.prototype.show_left_col_data = function(page, no_wayting) {
	this.active_page = page;
	if (typeof no_wayting == 'undefined')
		jQuery("#tabs_data").html("<center><BR><BR><img src='images/loading2.gif'></center>");
	
	if (page == "units") {
		$("#tabs_menu_monit").css("background-color","#bce744");
		$("#tabs_menu_report").css("background-color","#9bc035");		
		$("#div_map").show();
		$("#div_report_result").hide();	
	} else {
		$("#tabs_menu_report").css("background-color","#bce744");
		$("#tabs_menu_monit").css("background-color","#9bc035");
		$("#div_map").hide();
		$("#div_report_result").show();
	}
	
	$.ajax({ 
		url: "pages/" + page + ".php",
		type: 'GET',
		data: "sid=" + core.sid + "&height=" + jQuery("#td_map").height(),
		success: function(data) {
			jQuery("#tabs_data").html(data);
			if (page == "units") {
				filtr_list_units();
			}	
		}
	}); 	
}


// object
var pages = new Pages("page");
