/**
* Initialize
*/ 
jQuery(document).ready(function() {	
	// login form
	if (!core.check_login()) {
		pages.show_page("login");
	} else {
		pages.show_page("loading");
		setTimeout(check_sid, 1000);
	}
	setTimeout(online_unit, 60000);		
});	

// timeout check_sid
function check_sid(){
	if (core.check_sid == 1) {
		setTimeout(check_sid, 1000);
	} else {
		if (core.sid == "") {
			pages.show_page("login");
			setTimeout(show_error_check_sid, 1000);
		} else {
			pages.show_page("monitoring");
		}
	}	
}

function show_error_check_sid() {
	jQuery("#login_error").html("Предыдущая сессия завершена, введите логин и пароль заново");
	core.del_sid();
}

function online_unit() {
	if(pages.active_page == "units")
		pages.show_left_col_data("units",1);
		
	setTimeout(online_unit, 60000);		
}

function filtr_list_units() {
	var search_string = $("#edit_search_inputs").val();
	for (var unit_id in core.units) {
		var name_unit = $('#td_name_unit_' + unit_id).html();
		if (name_unit.indexOf(search_string) < 0) {
			$("#tr_unit_" + unit_id).hide();
			$("#tr_unit_" + unit_id + "_track1").hide();
			$("#tr_unit_" + unit_id + "_track2").hide();
			$("#tr_unit_" + unit_id + "_track3").hide();
		} else {
			$("#tr_unit_" + unit_id).show();
		}			
	}
	$.ajax({ 
		url: "ajax/save_props_user.php",
		type: 'GET',
		data: "sid=" + core.sid + "&param_name=search_string&param_value=" + search_string
	}); 	
}

function show_curr_time() {
	if (core.sid == "")
		return;
	$.ajax({ 
		url: "ajax/get_time.php",
		type: 'GET',
		data: "sid=" + core.sid,
		success: function(data) {
			jQuery("#menu_time").html(data);
			setTimeout(show_curr_time, 30000);
		}
	}); 	
}

function show_hide_block(id_block) {
	var plugin_div = jQuery("#" + id_block);
	if (plugin_div.css("display") == "none") {
		plugin_div.show();
		return true;
	} else {
		plugin_div.hide();
		return false;
	}
}

// event to enter to form login
document.onkeyup = function (e) {
	e = e || window.event;
	if (e.keyCode === 13) {
		if (document.getElementById('login_error') != null) {
			core.do_login(document.getElementById('user').value, document.getElementById('passw').value);
			// Отменяем действие браузера
			return false;
		} else{
			return true;
		}
	}
}